SABRInterpolation Class Reference

SABR smile interpolation between discrete volatility points. More...

`#include <ql/math/interpolations/sabrinterpolation.hpp>`

Inheritance diagram for SABRInterpolation:
[legend]

## Public Member Functions

template<class I1 , class I2 >

SABRInterpolation (const I1 &xBegin, const I1 &xEnd, const I2 &yBegin, Time t, const Real &forward, Real alpha, Real beta, Real nu, Real rho, bool alphaIsFixed, bool betaIsFixed, bool nuIsFixed, bool rhoIsFixed, bool vegaWeighted=true, const boost::shared_ptr< EndCriteria > &endCriteria=boost::shared_ptr< EndCriteria >(), const boost::shared_ptr< OptimizationMethod > &optMethod=boost::shared_ptr< OptimizationMethod >(), const Real errorAccept=0.0020, const bool useMaxError=false, const Size maxGuesses=50, const Real shift=0.0)

Real | expiry () const
Real | forward () const
Real | alpha () const
Real | beta () const
Real | nu () const
Real | rho () const
Real | rmsError () const
Real | maxError () const
const std::vector< Real > & | interpolationWeights () const
EndCriteria::Type | endCriteria ()
Public Member Functions inherited from Interpolation
bool | empty () const
Real | operator() (Real x, bool allowExtrapolation=false) const
Real | primitive (Real x, bool allowExtrapolation=false) const
Real | derivative (Real x, bool allowExtrapolation=false) const
Real | secondDerivative (Real x, bool allowExtrapolation=false) const
Real | xMin () const
Real | xMax () const
bool | isInRange (Real x) const
void | update ()
Public Member Functions inherited from Extrapolator
void | enableExtrapolation (bool b=true)
| enable extrapolation in subsequent calls
void | disableExtrapolation (bool b=true)
| disable extrapolation in subsequent calls
bool | allowsExtrapolation () const
| tells whether extrapolation is enabled

## Additional Inherited Members

Public Types inherited from Interpolation
typedef Real | argument_type
typedef Real | result_type
Protected Member Functions inherited from Interpolation
void | checkRange (Real x, bool extrapolate) const
Protected Attributes inherited from Interpolation
boost::shared_ptr< Impl > | impl_

## Detailed Description

SABR smile interpolation between discrete volatility points.